<template>
  <div class="navbar fixed flexContainer w-screen h-16 border-white-darker border-solid border-b-2 z-10 bg-white pin-r"
       :class="[shadowNav ? 'navbar--active' : '', project ? 'navbar--project' : '']">
    <div class="mx-auto h-full flex items-center">

      <div class="col items-center w-1/5 sm:hidden">
        <!-- <a href="/"
           class="flex items-center">
          <svg width="47px"
               height="47px"
               viewBox="0 0 47 47">
            <g stroke="none"
               stroke-width="1"
               fill="none"
               fill-rule="evenodd">
              <g transform="translate(-121.000000, -26.000000)">
                <g>
                  <g transform="translate(121.000000, 26.000000)">
                    <rect stroke="#F9B975"
                          stroke-width="3"
                          fill="#F9B975"
                          x="1.5"
                          y="1.5"
                          width="44"
                          height="44"
                          rx="3" />
                    <text font-family="WorkSans-Bold, Work Sans"
                          font-size="16"
                          font-weight="bold"
                          letter-spacing="-0.6133336"
                          fill="#FFFFFF">
                      <tspan x="12"
                             y="29">T S</tspan>
                    </text>
                  </g>
                </g>
              </g>
            </g>
          </svg>
        </a> -->
      </div>
      <div class="col justify-center items-center w-3/5 sm:w-full">
        <ul class="list-reset flex w-full h-full justify-center items-center text-lg">
          <li class="mx-3 h-full flex items-center">
            <nuxt-link to="/"
                       class="text-black font-bold no-underline flex items-center relative h-full">
              Work
            </nuxt-link>
          </li>
          <li class="mx-3 h-full flex items-center">
            <nuxt-link to="/about"
                       class="text-black font-bold no-underline flex items-center relative h-full">
              About
            </nuxt-link>
          </li>
          <li class="mx-3 h-full flex items-center">
            <nuxt-link to="/blog"
                       class="text-black font-bold no-underline flex items-center relative h-full">
              Blog
            </nuxt-link>
          </li>
        </ul>
      </div>
      <div class="sm:fixed sm:pin-b sm:pin-r col justify-end items-center w-1/5">
        <svg @click="$emit('toggleDarkMode')"
             class="cursor-pointer darkIcon sm:fixed sm:pin-b sm:pin-r sm:h-12 sm:bg-black sm:rounded-full sm:w-12 sm:p-3 sm:mb-1 sm:mr-1"
             width="20px"
             height="22.5px"
             viewBox="0 0 570 640">
          <g stroke="none"
             stroke-width="1"
             fill="none"
             fill-rule="evenodd">
            <g fill="#2d4059">
              <path d="M560.016,519.742 C383.266,519.742 240.016,376.476 240.016,199.742 C240.016,124.242 266.313,54.976 310.063,0.258 C137.954,5.571 0.016,146.367 0.016,319.742 C0.016,496.476 143.266,639.742 320.016,639.742 C421.266,639.742 511.344,592.617 569.985,519.242 C566.641,519.352 563.375,519.742 560.016,519.742 Z"></path>
            </g>
          </g>
        </svg>

        <!-- <img src="~/assets/french_flag.svg"
             class="sm:w-6"
             alt=""> -->
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'navbar',
  props: ['shadowNav'],
  computed: {
    project: function() {
      return this.$route.name.includes('work')
    }
  }
}
</script>

<style lang="scss">
.navbar {
  transition: all 0.2s ease;
  ul li a {
    &:hover {
      &:before {
        width: 100%;
      }
    }
    &:before {
      width: 0;
      top: auto;
      bottom: 0px;
      left: 50%;
      transform: translate3d(-50%, 50%, 0px);
      height: 0.3rem;
      content: '';
      position: absolute;
      transform: translate3d(-50%, 0%, 0px);
      @apply bg-yellow;
      border-radius: 1rem;
      transition: height 0.2s ease 0s, width 0.2s ease 0s;
    }
  }
  @screen sm {
    .darkIcon g {
      fill: white;
    }
  }
}
.navbar--active {
  box-shadow: 0 1px 30px 0 rgba(84, 94, 252, 0.1);
}

.navbar--project {
  @screen xl {
    @apply w-2/3;
  }
}
</style>
